[bar/mainbar]
background = #282c34
font-0 = "Iosevka Nerd Font:style=Regular:size=12:antialias=true;2"
font-1 = "Sarasa Mono J:style=Regular:size=12:antialias=true;2"
height = 30
modules-left = date weather keyboard
modules-center = bsp
modules-right = cpu temp ram pulse battery ethernet wifi bluetooth mnt
module-margin = 1
padding = 1
tray-position = none
monitor = eDP-1
wm-restack = bspwm
fixed-center = true
; width = 99%
; offset-y = 1%
; offset-x = 0.5%
underline-size = 0
overline-size = 0

[bar/sidebar]
background = #282c34
font-0 = "Iosevka Nerd Font:style=Regular:size=12:antialias=true;2"
height = 30
modules-center = bsp
monitor = HDMI-2
tray-position = none
ws-restack = bspwm
fixed-center = true
; width = 99%
; offset-y = 1%
; offset-x = 0.5%
underline-size = 0
overline-size = 0

[module/keyboard]
type = internal/xkeyboard
blacklist-0 = scroll lock
label-layout = %layout%
label-layout-padding = 0
label-layout-foreground = #61afef
label-indicator-on-capslock = Caps
label-indicator-off-capslock =
label-indicator-on-capslock-foreground = #61afef
label-indicator-on-numlock =
label-indicator-off-numlock = !Num
label-indicator-off-numlock-foreground = #61afef

[module/bluetooth]
type = custom/script
exec = ~/.config/polybar/onedark/bluetooth.sh
interval = 5
format-foreground = #e06c75

[module/mnt]
type = custom/script
exec = ~/.config/polybar/onedark/mount.sh
interval = 5
format-foreground = #e06c75

[module/temp]
type = internal/temperature
interval = 1
format = <label>
label-foreground = #56b6c2
label-warn-foreground = #56b6c2
label=  %temperature-c%
label-warn=  %temperature-c%

; [module/tempamd]
; type = custom/script
; exec = ~/.local/bin/info/tempamd
; click-left = alacritty -e btm -b
; interval = 2
; format = <label>
; format-foreground = #56b6c2
; label =  %output%

; [module/tempintel]
; type = custom/script
; exec = ~/.local/bin/info/tempintel
; click-left = alacritty -e btm -b
; interval = 2
; format = <label>
; format-foreground = #56b6c2
; label =  %output%

[module/cpu]
type = internal/cpu
interval = 2
format = <label>
label = ﰆ %percentage%%
format-foreground = #c678dd

[module/ram]
type = internal/memory
interval = 2
format = <label>
label = 異 %percentage_used%%
format-foreground = #61afef

[module/weather]
type = custom/script
exec = ~/.local/bin/info/weather_detail
click-left = alacritty -e bash -c "curl wttr.in; echo Press ENTER to exit; read" &
interval = 600
format-foreground = #d19a66

; [module/win]
; type = internal/xwindow
; format = <label>
; format-foreground = #8c9cff
; label = %title%
; label-maxlen = 30
; label-empty =
; format-padding = 2

; [module/backlight]
; type = internal/backlight
; card = intel_backlight
; enable_scroll = false
; format = <ramp> <label>
; label = %percentage%%
; ramp-0 = 
; ramp-1 = 
; ramp-2 = 
; ramp-3 = 
; ramp-4 = 
; ramp-5 = 
; ramp-6 = 
; ramp-7 = 
; ramp-8 = 
; ramp-9 = 
; ramp-10 = 
; format-foreground = #61afef

; [module/music]
; type = internal/mpd
; host = 127.0.0.1
; port = 6600
; label-song-maxlen = 40
; format-online = <label-song>
; label-offline =
; label-song =  %title% - %artist%
; format-online-foreground = #e5c07b

[module/vpn]
type = custom/script
exec = ~/.local/bin/info/vpn_show
interval = 5
format = <label>
format-foreground = #98c379

[module/bsp]
type = internal/bspwm
pin-workspaces = true
label-empty-foreground = #abb2bf
label-focused-foreground = #61afef
label-occupied-foreground = #d19a66
format = <label-state>
label-focused =  
label-occupied =  
label-urgent =  
label-empty =  
label-focused-padding = 1
label-occupied-padding = 1
label-empty-padding = 1
label-urgent-padding = 1
inline-mode = false
enable-click = true
enable-scroll = false
reverse-scroll = false

[module/date]
type = internal/date
format = <label>
label = %date% %time%
time =  %H:%M
time-alt =  %H:%M:%S
date =  %Y-%m-%d%
date-alt =  %A, %d %B %Y
format-foreground = #e06c75

[module/battery]
type = internal/battery
battery = BAT0
adapter = AC
format-charging =  <label-charging>
format-discharging = <ramp-capacity>  <label-discharging>
ramp-capacity-0 = 
ramp-capacity-1 = 
ramp-capacity-2 = 
ramp-capacity-3 = 
ramp-capacity-4 = 
label-charging = %percentage%%
label-discharging = %percentage%%
format-full = <ramp-capacity>  <label-full>
label-full = %percentage%%
format-charging-foreground = #d19a66
format-discharging-foreground = #d19a66
format-full-foreground = #d19a66

[module/ethernet]
type = internal/network
interface = enp3s0f1
format-connected = <label-connected>
format-disconnected =
label-connected = ﰵ %upspeed% ﰬ %downspeed%
format-connected-foreground = #e06c75

[module/wifi]
type = internal/network
interface = wlp2s0
format-connected =   <label-connected>
format-disconnected =
label-connected = ﰵ %upspeed% ﰬ %downspeed%
format-connected-foreground = #e06c75

[module/pulse]
type = internal/pulseaudio
sink = default
use-ui-max = false
interval = 5
format-volume = <ramp-volume> <label-volume>
label-volume = %percentage%%
label-muted = 婢 muted
ramp-volume-0 = 
ramp-volume-1 = 
ramp-volume-2 = 墳
ramp-volume-3 = 
format-volume-foreground = #98c379
label-muted-foreground = #98c379
